## Apache Zeta Components Manual :: Docs For Class ezcMailMultipart

### Mail::ezcMailMultipart

### Class ezcMailMultipart

Abstract base class for all multipart types.

This class provides writing functionality that is common for all multipart types. Multiparts will be written to the mail in the order that they are set to the $parts variable.

Source for this file: /Mail/src/parts/multipart.php

    ezcMailPart
       |
       --ezcMailMultipart

Version: | //autogen//

### Descendants

Child Class | Description
--- | ---
ezcMailMultipartMixed | The mixed multipart type is used to bundle an ordered list of mail parts.
ezcMailMultipartAlternative | ezcMailMultipartAlternative is used to bundle a group of mail parts where only one should be shown.
ezcMailMultipartReport | Mail part multipart/report used primarily to send delivery status notification messages.
ezcMailMultipartDigest | The digest multipart type is used to bundle a list of mail objects.
ezcMailMultipartRelated | ezcMailMultipartRelated is intended for mail parts consisting of several inter-related body parts.

### Constants

`DEFAULT_NO_MIME_MESSAGE = "This message is in MIME format. Since your mail reader does not understand\r\nthis format, some or all of this message may not be legible."` | Default message displayed to non-MIME capable email clients.

### Properties

string | read/write | `$boundary` The boundary string to use between parts. This string is automatically generated and should only be changed for special requirements.
string | read/write | `$noMimeMessage` Message to display to non-MIME capable email clients. The default value is stored in the constant self::DEFAULT_NO_MIME_MESSAGE.

### Member Variables

protected array(ezcMailPart) | `$parts = array()` An array holding the parts of this multipart.

### Inherited Member Variables

From ezcMailPart
protected | `ezcMailPart::$properties`

### Method Summary

protected static string | `generateBoundary( )` Returns a unique boundary string.
public ezcMailMultipart | `__construct( $parts )` Constructs a new ezcMailMultipart with the parts $parts.
public string | `generateBody( )` Returns the generated body for all multipart types.
public abstract string | `multipartType( )` Returns the type of multipart.

### Inherited Methods

From ezcMailPart
public ezcMailPart | `ezcMailPart::__construct()` Constructs a new mail part.
public void | `ezcMailPart::appendExcludeHeaders()` The array $headers will be excluded when the headers are generated.
public string | `ezcMailPart::generate()` Returns the complete mail part including both the header and the body as a string.
public abstract string | `ezcMailPart::generateBody()` Returns the body of this part as a string.
public string | `ezcMailPart::generateHeaders()` Returns the headers set for this part as a RFC 822 string.
public mixed | `ezcMailPart::getHeader()` Returns the RAW value of the header $name.
protected string | `ezcMailPart::getHeaderCharset()` Returns the charset registered for the header $name.
public void | `ezcMailPart::setHeader()` Sets the header $name to the value $value and its charset to $charset.
protected void | `ezcMailPart::setHeaderCharset()` Sets the charset of the header $name to $value.
public void | `ezcMailPart::setHeaders()` Adds the headers $headers.

### Methods

#### generateBoundary

static string generateBoundary( )

Returns a unique boundary string.

#### __construct

ezcMailMultipart __construct( $parts )

Constructs a new ezcMailMultipart with the parts $parts.

Subclasses typically accept an arbitrary number of parts in the constructor and pass them along using func_get_args().

$parts should be of the format array(array(ezcMailPart)|ezcMailPart)

Subclasses must call this method in the constructor.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$parts` | array |

##### Redefinition of:

Method | Description
--- | ---
`ezcMailPart::__construct()` | Constructs a new mail part.

##### Redefined in descendants as:

Method | Description
--- | ---
`ezcMailMultipartMixed::__construct()` | Constructs a new ezcMailMultipartMixed
`ezcMailMultipartAlternative::__construct()` | Constructs a new ezcMailMultipartAlternative
`ezcMailMultipartReport::__construct()` | Constructs a new ezcMailMultipartReport.
`ezcMailMultipartDigest::__construct()` | Constructs a new ezcMailMultipartDigest
`ezcMailMultipartRelated::__construct()` | Constructs a new ezcMailMultipartRelated.

#### generateBody

string generateBody( )

Returns the generated body for all multipart types.

##### Redefinition of:

Method | Description
--- | ---
`ezcMailPart::generateBody()` | Returns the body of this part as a string.

#### multipartType

string multipartType( )

Returns the type of multipart.

##### Redefined in descendants as:

Method | Description
--- | ---
`ezcMailMultipartMixed::multipartType()` | Returns "mixed".
`ezcMailMultipartAlternative::multipartType()` | Returns "alternative".
`ezcMailMultipartReport::multipartType()` | Returns "report".
`ezcMailMultipartDigest::multipartType()` | Returns "digest".
`ezcMailMultipartRelated::multipartType()` | Returns "related".

Documentation generated by phpDocumentor 1.4.3